
Infrastructure - Task #5999

Story # 5523 (Closed): Run Tidy after Split Brain

Analyze results of tidy process run

2014-07-25 20:47 - Robert Waltz

Status: Closed Start date: 2014-07-25

Priority: Urgent Due date:  

Assignee: Robert Waltz % Done: 100%

Category: Environment.Production Estimated time: 0.00 hour

Target version: 2014.30-Block.4.3   

Milestone: CCI-1.3 Story Points:  

Product Version: *   

Description

Determine if entries in the change_record table for runid 2 of tidy only show inconsistencies from most recent partition.

(hint-- they don't)

History

#1 - 2014-07-25 20:48 - Robert Waltz

- Priority changed from Normal to Urgent

- Status changed from New to In Progress

#2 - 2014-07-26 04:41 - Robert Waltz

#confirm all change_records have results

su postgres -c "psql -d d1-tidy  -c \"select count(*) \

from change_record

where resulting is not null and

runid = 2\""

count 

1239

(1 row)

#confirm number of change_records

su postgres -c "psql -d d1-tidy  -c \"select count(*) \

from change_record \

where runid = 2 \""

count 

1239

#find records where UCSB can be considered definitive

su postgres -c "psql -d d1-tidy  -c \"select count(*) \

from change_record cr1, change_record cr2 \

where cr1.id = cr2.id and \

coalesce(cr1.cnucsb,'nvl') like cr2.resulting and \

cr1.runid = 2 \""

count 

251

#find count of records on ORC that should be replaced by UCSB records

su postgres -c "psql -d d1-tidy  -c \"select count(*) \
from change_record cr1, change_record cr2 \

where cr1.id = cr2.id and \

coalesce(cr1.cnucsb,'nvl') like cr2.resulting and \

coalesce(cr1.cnorc, 'nvl') not like cr2.resulting and \

cr1.runid = 2 \""

count 

251

(1 row)

#find count of records on UNM that should be replaced by UCSB records

su postgres -c "psql -d d1-tidy  -c \"select count(*) \

from change_record cr1, change_record cr2 \

where cr1.id = cr2.id and \

coalesce(cr1.cnucsb,'nvl') like cr2.resulting and \

coalesce(cr1.cnunm, 'nvl') not like cr2.resulting and \

cr1.runid = 2 \""

count 

 6

 

(1 row)

IGNORE these records

su postgres -c "psql -d d1-tidy  -c \"select count(*) \

from change_record  \

where coalesce(cnucsb, 'nvl') = 'null' and

coalesce(cnorc, 'nvl') = 'null' and

coalesce(cnunm,'nvl') = 'null' and

resulting = '0' and

runid = 2 \""

count 

17

 

#EITHER unm or orc can be considered definitive to replace UCSB records

su postgres -c "psql -d d1-tidy  -c \"select count(*) \

from change_record cr1, change_record cr2 \

where cr1.id = cr2.id and \

coalesce(cr1.cnorc, 'nvl') <> 'null' and \

coalesce(cr1.cnunm, 'nvl') <> 'null' and \

coalesce(cr1.cnorc, 'nvl') like cr2.resulting and \

coalesce(cr1.cnunm, 'nvl') like cr2.resulting and \

coalesce(cr1.cnucsb, 'nvl') not like cr2.resulting  and \

cr1.runid = 2 \""

count 

971
#3 - 2014-07-29 19:48 - Robert Waltz

- Target version changed from 2014.26-Block.4.1 to 2014.30-Block.4.3

#4 - 2014-08-06 17:37 - Robert Waltz

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

#5 - 2014-08-21 01:19 - Robert Waltz

- Estimated time set to 0.00

- Product Version changed from 1.3.0 to *
